<?xml version='1.0' encoding='ISO-8859-1' standalone='no'?>
<!DOCTYPE interface-description SYSTEM 'file:///usr/pkgsrc/lang/oo2c/work.macaroon/oo2c_32-2.0.11/rsrc/OOC/xml/interface-description.dtd'>
<interface-description name='RandomNumbers' id=''>
  <oberon-doc>
    <summary>For details on this algorithm take a look at Park S.K.</summary>
    <p pad-after='yes' no-indent='yes'>For details on this algorithm take a look at Park S.K. and Miller K.W. (1988). <left-quote/>Random number generators, good ones are hard to find<right-quote/>. Communications of the ACM, 31, 1192-1201.</p>
  </oberon-doc>
  <const-decl name='modulo' id='modulo' export='yes' value='unknown'/>
  <procedure name='GetSeed' id='GetSeed' export='yes'>
    <oberon-doc>
      <summary>Returns the currently used seed value.</summary>
      <p pad-after='yes' no-indent='yes'>Returns the currently used seed value.</p>
    </oberon-doc>
    <formal-parameters>
      <parameter-decl name='seed' id='GetSeed.seed' export='no' variable-parameter='yes'>
        <type>
          <type-name module='#predef' name='LONGINT'/>
        </type>
      </parameter-decl>
    </formal-parameters>
  </procedure>
  <procedure name='PutSeed' id='PutSeed' export='yes'>
    <oberon-doc>
      <summary>Set <oberon-param href='#PutSeed.seed'>seed</oberon-param> as the new seed value.</summary>
      <p pad-after='yes' no-indent='yes'>Set <oberon-param href='#PutSeed.seed'>seed</oberon-param> as the new seed value.  Any values for <oberon-param href='#PutSeed.seed'>seed</oberon-param> are allowed, but values beyond the intervall <samp>[1..2^31-2]</samp> will be mapped into this range.</p>
    </oberon-doc>
    <formal-parameters>
      <parameter-decl name='seed' id='PutSeed.seed' export='no' variable-parameter='no'>
        <type>
          <type-name module='#predef' name='LONGINT'/>
        </type>
      </parameter-decl>
    </formal-parameters>
  </procedure>
  <procedure name='RND' id='RND' export='yes'>
    <oberon-doc>
      <summary>Calculates a new number.</summary>
      <p pad-after='yes' no-indent='yes'>Calculates a new number.  <oberon-param href='#RND.range'>range</oberon-param> has to be in the intervall <samp>[1..2^31-2]</samp>.  Result is a number from <samp>0,1,..,<oberon-param href='#RND.range'>range</oberon-param>-1</samp>.</p>
    </oberon-doc>
    <formal-parameters>
      <parameter-decl name='range' id='RND.range' export='no' variable-parameter='no'>
        <type>
          <type-name module='#predef' name='LONGINT'/>
        </type>
      </parameter-decl>
      <result-type>
        <type-name module='#predef' name='LONGINT'/>
      </result-type>
    </formal-parameters>
  </procedure>
  <procedure name='Random' id='Random' export='yes'>
    <oberon-doc>
      <summary>Calculates a number <samp>x</samp> with <samp>0.0 &lt;= x &lt; 1.0</samp>.</summary>
      <p pad-after='yes' no-indent='yes'>Calculates a number <samp>x</samp> with <samp>0.0 &lt;= x &lt; 1.0</samp>.</p>
    </oberon-doc>
    <formal-parameters>
      <result-type>
        <type-name module='#predef' name='REAL'/>
      </result-type>
    </formal-parameters>
  </procedure>
  <import-decl name='-RT0' id='-RT0' export='no' module='RT0'/>
  <import-decl name='-Object' id='-Object' export='no' module='Object'/>
  <import-decl name='-Exception' id='-Exception' export='no' module='Exception'/>
</interface-description>
